Package org.tanukisoftware.wrapper.test

# Class DelayedIORestarter

java.lang.Object
org.tanukisoftware.wrapper.test.DelayedIORestarter

public class DelayedIORestarter extends Object
This test is designed to make sure the Wrapper handles the case where the JVM is restarted while the Wrapper is blocking due to a long disk IO queue. Prior to 3.5.11, the Wrapper would sometimes exit before it noticed that the JVM had wanted to restart.

## Constructor Summary

Constructors
Constructor
Description
`DelayedIORestarter()`

## Method Summary

Modifier and Type
Method
Description
`static void`
`main(String[] args)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### DelayedIORestarter

public DelayedIORestarter()

## Method Details

### main

public static void main(String[] args)